explain_getrlimit_or_die(3)

NAME
explain_getrlimit_or_die - get resource limits and report errors

SYNOPSIS
#include <libexplain/getrlimit.h>

void explain_getrlimit_or_die(int resource, struct rlimit *rlim);

DESCRIPTION
The explain_getrlimit_or_die function is used to call the getrlimit(2) system call. On failure an explanation will be printed to stderr, obtained from explain_getrlimit(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_getrlimit_or_die(resource, rlim);

resource
    The resource, exactly as to be passed to the getrlimit(2) system call.

rlim
    The rlim, exactly as to be passed to the getrlimit(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

getrlimit(2)
    get resource limits

explain_getrlimit(3)
    explain getrlimit(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller